<!DOCTYPE html>
<html lang="ru" th:lang="${#locale.language}" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head">
    <title th:text="#{main.site}">Библиотека (Spring Boot)</title>
</head>
<body>
<header th:replace="fragments/header :: header"></header>

<main class="container">
    <h1 th:text="#{librarian.requests}">Доступные действия</h1>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th th:text="#{librarian.requests.book.title}" scope="col">Название</th>
            <th th:text="#{librarian.requests.book.authors}" scope="col">Авторы</th>
            <th th:text="#{librarian.requests.loan.type}" scope="col">Тип выдачи</th>
            <th th:text="#{librarian.requests.user}" scope="col">Читатель</th>
            <th th:text="#{librarian.requests.satisfy}" scope="col">Выдать</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="request : ${openRequests}">
            <th th:text="${requestStat.count}" scope="row">1</th>
            <td th:text="${request.book.title}">Изучаем Java</td>
            <td th:text="${request.book.author}">Кэти Сьерра, Берт Бейтс</td>
            <td th:text="${#strings.equalsIgnoreCase(request.loanType.name, 'home')} ? #{user.loaned.books.book.loan.type.home} : #{user.loaned.books.book.loan.type.reading.room}">
                Читальный зал
            </td>
            <td th:text="|${request.user.firstName} ${request.user.lastName}|">Ксения Морозова</td>
            <td>
                <form th:action="@{/librarian}" method="post">
                    <input type="hidden" id="request_id" name="request_id" th:value="${request.id}">
                    <button type="submit" class="btn btn-outline-primary btn-sm"
                            th:text="#{librarian.requests.satisfy}">Выдать
                    </button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</main>

<footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
